Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.metadata
Class Util

    java.lang.Object
      org.apache.xmlrpc.metadata.Util

    public class Util

extends java.lang.Object

Utility class, which provides services to meta data handlers and handler mappings.

Constructor Summary
`Util()`

Method Summary
`static java.lang.String` | `getMethodHelp(java.lang.Class pClass, java.lang.reflect.Method pMethod)` Returns a help string for the given method, which is applied to the given class.
`static java.lang.String` | `getMethodHelp(java.lang.Class pClass, java.lang.reflect.Method[] pMethods)` Returns a help string for the given method, which is applied to the given class.
`static java.lang.String[]` | `getSignature(java.lang.reflect.Method pMethod)` Returns a signature for the given methods.
`static java.lang.String[][]` | `getSignature(java.lang.reflect.Method[] pMethods)` Returns a signature for the given methods.
`static java.lang.String` | `getSignature(java.lang.Object[] args)` Returns a signature for the given parameter set.
`static java.lang.String` | `getSignatureType(java.lang.Class pType)` Returns a signature for the given return type or parameter class.
`static java.lang.Object` | `newInstance(java.lang.Class pClass)` Creates a new instance of `pClass`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### getSignatureType

    public static java.lang.String getSignatureType(java.lang.Class pType)

  Returns a signature for the given return type or parameter class.

  Parameters:
    `pType` - The class for which a signature is being queried.
  Returns:
    Signature, if known, or null.

### getSignature

    public static java.lang.String[][] getSignature(java.lang.reflect.Method[] pMethods)

  Returns a signature for the given methods.

  Parameters:
    `pMethods` - Methods, for which a signature is being queried.
  Returns:
    Signature string, or null, if no signature is available.

### getSignature

    public static java.lang.String[] getSignature(java.lang.reflect.Method pMethod)

  Returns a signature for the given methods.

  Parameters:
    `pMethod` - Method, for which a signature is being queried.
  Returns:
    Signature string, or null, if no signature is available.

### getMethodHelp

    public static java.lang.String getMethodHelp(java.lang.Class pClass,
                                                 java.lang.reflect.Method[] pMethods)

  Returns a help string for the given method, which is applied to the given class.

### getMethodHelp

    public static java.lang.String getMethodHelp(java.lang.Class pClass,
                                                 java.lang.reflect.Method pMethod)

  Returns a help string for the given method, which is applied to the given class.

### getSignature

    public static java.lang.String getSignature(java.lang.Object[] args)

  Returns a signature for the given parameter set. This is used in error messages.

### newInstance

    public static java.lang.Object newInstance(java.lang.Class pClass)
                                        throws XmlRpcException

  Creates a new instance of `pClass`.

  Throws:
    `XmlRpcException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.